Index: branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 319)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 320)
@@ -2353,7 +2353,7 @@
         /// </summary>
         private bool MessageCreate(int Gridcnt, bool bLineClick = false)
         {
-            int NowPoint = 0;
+            int NowPoint = -1;
             int RecoadNo = 0;
             int BuranchNo = 0;
             int WriteingCode = 0;
@@ -2403,12 +2403,15 @@
             finally
             {
                 // パラメータセット
-                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(RecoadNo);
-                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(BuranchNo);
-                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(WriteingCode);
+                if (NowPoint > -1)
+                {
+                    ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(RecoadNo);
+                    ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(BuranchNo);
+                    ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(WriteingCode);
 
-                // 処理実行
-                ClsExcute.ProcesscExecute();
+                    // 処理実行
+                    ClsExcute.ProcesscExecute();
+                }
             }
         }
         #endregion
@@ -5467,7 +5470,17 @@
                 // 工事検索時は検索画面の値をセットする
                 if (m_bConstrSearchFlg) DispSearchDataSQL(ref strSQL);
 
-                strSQL.Append(" Order By A.ConstructionCompletionDate Desc, A.ConstructionCode Asc, A.ConstructionStatusFlg Asc, B.DETAILNO ASC");
+                strSQL.Append(" Order By");
+                strSQL.Append(" Case DATE_FORMAT(A.RevCompleteDate, '%Y/%m/%d')");
+                strSQL.AppendFormat(" When '{0}'", DateTime.MinValue.ToShortDateString());
+                strSQL.Append(" Then");
+                strSQL.Append("      (Case DATE_FORMAT(A.BillingDate, '%Y/%m/%d')");
+                strSQL.AppendFormat("       When '{0}' then A.ConstructionCompletionDate", DateTime.MinValue.ToShortDateString());
+                strSQL.Append("             Else A.BillingDate End)");
+                strSQL.Append(" else A.RevCompleteDate End Desc");
+                strSQL.Append(", A.ConstructionCode Asc");
+                strSQL.Append(", A.ConstructionStatusFlg Asc");
+                strSQL.Append(", B.DETAILNO ASC");
                 ArrayList arData = new ArrayList();
 
                 // プログレスバー表示
@@ -5566,12 +5579,6 @@
                 DataGridView dgv = dgvCompletionOfConstruction;
                 dgv.SuspendLayout();
 
-                // 1件目取得
-                DateTime BreakDate = DateTime.Now;
-                object[] firstwrkRec = (object[])arData[0];
-                int BreakConstructionPeriod = CommonMotions.cnvInt(firstwrkRec[(int)DBColumn1.ConstructionPeriod]);
-                BreakDate = CommonMotions.cnvDate(firstwrkRec[(int)DBColumn4.CompletionDate]);
-
                 // データ表示
                 int ino = 1;
                 DateTime BreakPeriodDate = CommonMotions.cnvDate(DateTime.Now.FiscalYear().ToString() + "/" + CommonMotions.SystemMasterData.BusinessBeginningDate);
@@ -5590,7 +5597,18 @@
                 int offset = DBCnt + objCnt + 1;
                 ConstructionBaseInfo wrkRec = new ConstructionBaseInfo();
                 PeriodAvoidance wrkAvoRec = new PeriodAvoidance();
+
+                // 1件目取得
+                object[] firstwrkRec = (object[])arData[0];
+                int BreakConstructionPeriod = CommonMotions.cnvInt(firstwrkRec[(int)DBColumn1.ConstructionPeriod]);
+                DateTime GetFirst1 = CommonMotions.cnvDate(firstwrkRec[DBCnt + (int)IOConstructionBaseInfo.TableColumn.ConstructionCompletionDate]);
+                DateTime GetFirst2 = CommonMotions.cnvDate(firstwrkRec[DBCnt + (int)IOConstructionBaseInfo.TableColumn.BillingDate]);
+                DateTime GetFirst3 = CommonMotions.cnvDate(firstwrkRec[DBCnt + (int)IOConstructionBaseInfo.TableColumn.RevCompleteDate]);
+
+                DateTime BreakDate = GetFirst3;
+                if (BreakDate == DateTime.MinValue.Date) BreakDate = GetFirst2.Date == DateTime.MinValue.Date ? GetFirst1 : GetFirst2;
                 
+
                 foreach (object[] DataRec in arData)
                 {
                     int iConstructionCode = CommonMotions.cnvInt(DataRec[(int)DBColumn1.ConstructionCode]);
@@ -5623,19 +5641,27 @@
                     wrkAvoRec.FieldNo = CommonMotions.cnvInt(DataRec[offset + (int)IOPeriodAvoidance.NameColumn.ConstructionStatusFlg]);
 
                     // 月が変われば1行開ける
-                    string breakYM = BreakDate.ToShortDateString();
-                    breakYM = breakYM.Substring(0, breakYM.LastIndexOf('/'));
+                    int breakYM = CommonMotions.cnvInt(BreakDate.ToString("yyyyMM"));
 
-                    string DataYm = wrkRec.ConstructionCompletionDate.ToString();
-                    DataYm = DataYm.Substring(0, DataYm.LastIndexOf('/'));
+                    DateTime Get1 = wrkRec.ConstructionCompletionDate;
+                    DateTime Get2 = wrkRec.BillingDate;
+                    DateTime Get3 = wrkRec.RevCompleteDate;
+                    DateTime GetDate = Get3;
+                    if (GetDate == DateTime.MinValue.Date) GetDate = Get2.Date == DateTime.MinValue.Date ? Get1 : Get2;
+                    int DataYm = CommonMotions.cnvInt(GetDate.ToString("yyyyMM"));
 
-                    if (string.Compare(breakYM, DataYm) != 0)
+                    if (breakYM != DataYm)
                     {
                         dgv.Rows.Add();
                         iLineCnt++;
                     }
 
-                    BreakDate = wrkRec.ConstructionCompletionDate;
+                    //BreakDate = wrkRec.ConstructionCompletionDate;
+                    DateTime Break1 = wrkRec.ConstructionCompletionDate;
+                    DateTime Break2 = wrkRec.BillingDate;
+                    DateTime Break3 = wrkRec.RevCompleteDate;
+                    BreakDate = Break3;
+                    if (BreakDate == DateTime.MinValue.Date) BreakDate = Break2.Date == DateTime.MinValue.Date ? Break1 : Break2;
 
                     // データセット
                     int LineCnt = dgv.Rows.Add(wrkRec.ConstructionCode.ToString()
@@ -5646,6 +5672,8 @@
                                                 , salesname
                                                 , constructorname
                                                 , CommonMotions.cnvDateToUndecidedString(wrkRec.OrderDate)
+                                                , CommonMotions.cnvDateToUndecidedString(wrkRec.RevCompleteDate)
+                                                , CommonMotions.cnvDateToUndecidedString(wrkRec.BillingDate)
                                                 , CommonMotions.cnvDateToUndecidedString(wrkRec.ConstructionStartingDate)
                                                 , CommonMotions.cnvDateToUndecidedString(wrkRec.ConstructionCompletionDate)
                                                 , Details[1] + Details[2] + Details[3]
Index: branches/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs	(revision 319)
+++ branches/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs	(revision 320)
@@ -32,7 +32,7 @@
 // すべての値を指定するか、下のように '*' を使ってビルドおよびリビジョン番号を 
 // 既定値にすることができます:
 // [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("1.0.1.42")]
-[assembly: AssemblyFileVersion("1.0.1.42")]
+[assembly: AssemblyVersion("1.0.1.145")]
+[assembly: AssemblyFileVersion("1.0.1.145")]
 // Log4netを使用する
 [assembly: log4net.Config.XmlConfigurator(ConfigFile = @"log4net.config", Watch = true)]
\ No newline at end of file
